/**
 * Factoryreset App
 * Implementing Factoryreset App
 */
var FactoryresetApp = FactoryresetApp || {};  // Define Factoryreset App namespace.
/**
 * Constructor UNAS App
 */
FactoryresetApp.App = function () {
    this.id = 'Factoryreset';
    this.name = 'Factoryreset';
    this.version = '6.0.8';
    this.active = false;
    this.menuIcon = '/apps/factoryreset/images/logo.png?v=6.0.8&';
    this.shortcutIcon = '/apps/factoryreset/images/logo.png?v=6.0.8&';
    this.entryUrl = '/apps/factoryreset/factoryreset.html?v=6.0.8&';
    var self = this;
    this.FactoryresetAppWindow = function () {
        if(UNAS.CheckAppState('Factoryreset')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'FactoryresetAppWindow',
            title: UNAS._('Factoryreset'),
            icon: '/apps/factoryreset/images/logo_small.png?v=6.0.8&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [650, 1200], 'y': [450, 900] },
            contentURL: '/apps/factoryreset/factoryreset.html?v=6.0.8&',
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Factoryreset",'FactoryresetAppWindow')}
        });
    };
    this.FactoryresetUninstall = function (){
        UNAS.RemoveDesktopShortcut('Factoryreset');
        UNAS.RemoveMenu('Factoryreset');
        UNAS.RemoveAppFromGroups('Factoryreset', 'ControlPanel');
        UNAS.RemoveAppFromApps('Factoryreset');
    };
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'Factoryreset', '', this.FactoryresetAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Factoryreset', this.FactoryresetAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type': 'SystemTools', 'Location': 5, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Factoryreset', UNAS._('Factoryreset')); //translate menu
        UNAS.SetShortcutTitle('Factoryreset', UNAS._('Factoryreset'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('FactoryresetAppWindow', UNAS._('Factoryreset'));
        }
    };
    UNAS.LoadTranslation('/apps/factoryreset/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.FactoryresetAppWindow, this.FactoryresetUninstall);
};

new FactoryresetApp.App();
